{ pkgs, lib, ... }: rec {
  device = "redfin";
  flavor = "grapheneos";

  ccache.enable = false;
  signing.enable = true;
  signing.keyStorePath = "/home/cadey/code/cadey/robotnix-configs/keys";

  microg.enable = lib.mkDefault true;

  apps = {
    seedvault.enable = lib.mkDefault true;
    fdroid.enable = lib.mkDefault true;

    updater = {
      enable = true;
      url = "https://pneuma.akua.xeserv.us/robotnix/${device}-${flavor}";
    };
  };
}
